:root {
  font: menu;
  font-family:
    "TX-02", ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, monospace;
  color-scheme: light dark;
  line-height: 150%;

  --bg: #faf9f5;
  --fg: #141413;
  --link: #d97757;
}

@media (prefers-color-scheme: dark) {
  :root {
    --bg: #141413;
    --fg: #faf9f5;
    --link: #d97757;
  }
}

body {
  margin: 0;
  padding: 1rem;
  background: var(--bg);
  color: var(--fg);
}

a {
  color: var(--link);
}

h1 a {
  color: inherit;
  text-decoration: none;
}

main {
  max-width: 66ch;
  margin: 0 auto;
}

h1,
h2,
h3,
p,
ul,
li {
  font-size: 1em;
  font-weight: normal;
  margin: 0;
}

h1,
h2,
p,
ul {
  margin-block: 1em;
}

h1,
h2 {
  text-transform: uppercase;
}

h2 {
  margin-bottom: 0;
}

ul {
  list-style: none;
  padding: 0;
  margin-top: 0;
}

li::before {
  content: " - ";
}

hr {
  border: none;
  margin-block: 2em;
  color: var(--fg);
}

hr::before {
  content: "---";
}
